### Function

# GLib assertion_message_expr

#### Declaration [src]

    void
    g_assertion_message_expr (
      const char* domain,
      const char* file,
      int line,
      const char* func,
      const char* expr
    )

#### Description [src]

Internal function used to print messages from the public `g_assert()` and `g_assert_not_reached()` macros.

This function is not directly available to language bindings.

#### Parameters

`domain`

  Type: `const char*`

  Log domain.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`file`

  Type: `const char*`

  File containing the assertion.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`line`

  Type: `int`

  Line number of the assertion.

`func`

  Type: `const char*`

  Function containing the assertion.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`expr`

  Type: `const char*`

  Expression which failed.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.